#  Copyright (c) 2020, Manfred Moitzi
#  License: MIT License
# Predefined matplotlib pattern:
# / - diagonal hatching
# \ - back diagonal
# | - vertical
# - - horizontal
# + - crossed
# x - crossed diagonal
# o - small circle
# O - large circle
# . - dots
# * - stars
# 1x sparse
# 2x normal
# 3x dense
HATCH_NAME_MAPPING = {
    "ACAD_ISO02W100": "---",
    "ACAD_ISO03W100": "---",
    "ACAD_ISO04W100": "---",
    "ACAD_ISO05W100": "---",
    "ACAD_ISO06W100": "---",
    "ACAD_ISO07W100": "---",
    "ACAD_ISO08W100": "---",
    "ACAD_ISO09W100": "---",
    "ACAD_ISO10W100": "---",
    "ACAD_ISO11W100": "---",
    "ACAD_ISO12W100": "---",
    "ACAD_ISO13W100": "---",
    "ACAD_ISO14W100": "---",
    "ACAD_ISO15W100": "---",
    "ANCHORLOCK": "++",
    "ANGLE": "+++",
    "ANSI31": "///",
    "ANSI32": "//",
    "ANSI33": "///",
    "ANSI34": "//",
    "ANSI35": "///",
    "ANSI36": "///",
    "ANSI37": "xxx",
    "ANSI38": "xxx",
    "AR-RROOF": "---",
    "AR-SAND": "...",
    "ASPHALT": "---...",
    "BOARD": "---...",
    "BRASS": "---...",
    "BOX": "+++",
    "BRICK": "+++",
    "BRICK_FLBOND": "+++",
    "BRICK_INSULATING": "///...",
    "BRICK_LWEIGHT": "///...",
    "BRICK_PAIRS": "++",
    "BRICK_STBOND": "++",
    "BRICK_STRBOND": "+",
    "BRSTONE": "+++",
    "BUTTERFLY": "xxx|||",
    "CHECKER": "+++",
    "CLAY": "...---",
    "CONCRETE1": "oo",
    "CONCRETE2": "ooo",
    "CONCRETE3": "oooo",
    "CONC_DEMOLITION": "xxxx",
    "CONC_EXISTING": "xxxx",
    "CONC_PRECAST": "xxxx",
    "CORK": "\\\\\\---",
    "CROSS": "++++",
    "CROSSES": "xxxx",
    "DASH": "---",
    "DIAMONDS": "xxx",
    "DOLMIT": "//---",
    "DOTGRID": "..",
    "DOTS": "...",
    "DOTS1": "...",
    "DOTS2": "...",
    "EARTH": "+++",
    "EARTH1": "++++",
    "EARTH2": "xxxx",
    "EGYPTIAN": "++++",
    "ESCHER": "//\\\\--",
    "FLEX": "---",
    "FLEXIBLE": "---",
    "GLASS": "...",
    "GOST_GLASS": "...",
    "GOST_GROUND": "///",
    "GOST_WOOD": "|||",
    "GRASS": ".",
    "GRASS1": "..",
    "GRASS2": "..",
    "GRATE": "+++++",
    "GRAVEL": "..",
    "GRAVEL1": "ooo",
    "GRID": "++",
    "GROUT": "...",
    "HERRING_45": "+",
    "HERRING_H": "xx--",
    "HERRING_UNI": "++",
    "HERRING_V": "xx",
    "HEX": "xx",
    "HEXAGONS": "xx",
    "HONEY": "xxx",
    "HONEYCOMB": "xxx",
    "HOUND": "+++++",
    "INSUL": "---",
    "INSULATION": "xxxxx",
    "ISO02W100": "---",
    "ISO03W100": "---",
    "ISO04W100": "---",
    "ISO05W100": "---",
    "ISO06W100": "---",
    "ISO07W100": "---",
    "ISO08W100": "---",
    "ISO09W100": "---",
    "ISO10W100": "---",
    "ISO11W100": "---",
    "ISO12W100": "---",
    "ISO13W100": "---",
    "ISO14W100": "---",
    "ISO15W100": "---",
    "JIS_LC_20": "//",
    "JIS_LC_20A": "//",
    "JIS_LC_8": "///",
    "JIS_LC_8A": "///",
    "JIS_RC_10": "///",
    "JIS_RC_15": "///",
    "JIS_RC_18": "//",
    "JIS_RC_30": "//",
    "JIS_STN_1E": "///",
    "JIS_STN_2.5": "///",
    "JIS_WOOD": "///",
    "LINE": "---",
    "LINES": "---",
    "MUDST": "---...",
    "NATURAL": "///...",
    "NET": "+++++",
    "NET3": "xxxxx-----",
    "OCTAGONS": "+++",
    "PLAST": "---",
    "PLASTI": "---",
    "PLUSSES": "..",
    "ROCK": "---///",
    "SACNCR": "////",
    "SAND": "xxxx",
    "SCREED": "....",
    "SHAKES": "+++",
    "SPANISH": "+++",
    "SQUARE": "++++",
    "SQUARES": "++++",
    "STARS": "**",
    "STEEL": "///",
    "SWAMP": "...",
    "TILEPAT1": "+++",
    "TRANS": "---",
    "TRIANG": "xxx",
    "TRIANGLES": "****",
    "TRIHEX": "xx",
    "V_BATTEN_FLOOR": "--",
    "V_MASONRY200x100": "+++",
    "V_MASONRY200x60": "++++",
    "V_MASONRY200x75": "++++",
    "V_MASONRY220x80": "++++",
    "V_MASONRY300x100": "++++",
    "V_MASONRY300x150": "+++",
    "V_MASONRY300x200": "+++",
    "V_MASONRY300x75": "++++",
    "V_MASONRY400x100": "+++",
    "V_MASONRY400x200": "+++",
    "V_PARQUET": "---",
    "V_STANDING_SEAM": "|||",
    "V_ZINC": "|||",
    "WAFFLE": "+++",
    "WATER": "---",
    "WOOD1": "///",
    "WOOD2": "\\\\\\",
    "WOOD3": "---",
    "WOOD4": "----",
    "ZIGZAG": "///",
}
